on startMovie
  global gDefaultSoundLevel
  clearGlobals()
  cursor(-1)
  set gDefaultSoundLevel to the soundLevel
  set the soundLevel to 3
  updateStage()
end

on stopMovie
  global gDefaultSoundLevel
  set the soundLevel to gDefaultSoundLevel
  updateStage()
  clearGlobals()
  unLoad()
end

on mouseDown
  global gMouseDownScript
  if gMouseDownScript = 1 then
    hEscapeLogo()
  end if
end

on hEscapeLogo
  cursor(4)
  hDecreaseSound([1, 2], 0, 255)
  go("escape")
  set the mouseDownScript to EMPTY
end

on hDecreaseSound pSoundChannel, pMinVolume, pMaxVolume
  repeat with i = pMaxVolume down to pMinVolume
    repeat with tSoundChannel in pSoundChannel
      set the volume of sound tSoundChannel to i
      updateStage()
    end repeat
  end repeat
  repeat with tSoundChannel in pSoundChannel
    puppetSound(tSoundChannel, 0)
    updateStage()
    set the volume of sound tSoundChannel to pMaxVolume
  end repeat
end
